%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%{!?pear_metadir: %global pear_metadir %{pear_phpdir}}
%global pear_name Swift

Name:           php-swift-Swift
Version:        5.0.2
Release:        1%{?dist}
Summary:        Free Feature-rich PHP Mailer

Group:          Development/Libraries
License:        MIT
URL:            http://www.swiftmailer.org/
Source0:        http://pear.swiftmailer.org/get/Swift-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  php-channel(pear.swiftmailer.org)
BuildRequires:  php-pear(PEAR)
Requires:       php-common >= 5.2.4
Requires:       php-pear(PEAR) >= 1.4.0
Requires:       php-channel(pear.swiftmailer.org)
Requires:       php-pdo
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(pear.swiftmailer.org/%{pear_name}) = %{version}

%description

Swift Mailer integrates into any web app written in PHP 5, offering a 
flexible and elegant object-oriented approach to sending emails with 
a multitude of features.

%prep
%setup -q -c
[ -f package2.xml ] || mv package.xml package2.xml
mv package2.xml %{pear_name}-%{version}/%{pear_name}.xml
cd %{pear_name}-%{version}


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
cd %{pear_name}-%{version}
rm -rf $RPM_BUILD_ROOT docdir
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{pear_name}.xml

# Clean up unnecessary files
rm -rf %{buildroot}/%{pear_metadir}/.??* 

mkdir -p $RPM_BUILD_ROOT%{pear_phpdir}/tmp
mv $RPM_BUILD_ROOT%{pear_phpdir}/*.php \
   $RPM_BUILD_ROOT%{pear_phpdir}/Swift \
   $RPM_BUILD_ROOT%{pear_phpdir}/dependency_maps \
   $RPM_BUILD_ROOT%{pear_phpdir}/tmp
mv $RPM_BUILD_ROOT%{pear_phpdir}/tmp $RPM_BUILD_ROOT%{pear_phpdir}/Swift

# Install XML package description
mkdir -p $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{pear_name}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{pear_name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc %{pear_docdir}/%{pear_name}
%{pear_xmldir}/%{pear_name}.xml
#%{pear_testdir}/%{pear_name}
# Expand this as needed to avoid owning dirs owned by our dependencies
%{pear_phpdir}/%{pear_name}

%changelog
* Sat Nov  2 2013 Christof Damian <christof@damian.net> - 5.0.2-1
- upstream 5.0.2

* Thu Jul 25 2013 Christof Damian <christof@damian.net> - 5.0.1-1
- upstream 5.0.1

* Sat May 25 2013 Christof Damian <christof@damian.net> - 5.0.0-1
- upstream 5.0.0

* Thu Apr 18 2013 Christof Damian <christof@damian.net> - 4.3.1-1
- upstream 4.3.1

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jan 12 2013 Christof Damian <christof@damian.net> - 4.3.0-1
- update to 4.3.0
- change php require to php-common

* Wed Oct 31 2012 Christof Damian <christof@damian.net> - 4.2.2-2
- use php_metadir

* Tue Oct 30 2012 Christof Damian <christof@damian.net> - 4.2.2-1
- upstream 4.2.2

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jul 13 2012 Christof Damian <christof@damian.net> - 4.2.1-1
- upstream 4.2.1

* Sat Apr 28 2012 Christof Damian <christof@damian.net> - 4.1.7-1
- upstream 4.1.7

* Sat Mar 24 2012 Christof Damian <christof@damian.net> - 4.1.6-1
- upstream 4.1.6
- move doc dir

* Sat Mar  3 2012 Christof Damian <christof@damian.net> - 4.1.5-1
- upstream 4.1.5

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Oct 28 2011 Christof Damian <christof@damian.net> - 4.1.3-1
- upstream 4.1.3

* Fri Jul 15 2011 Christof Damian <christof@damian.net> - 4.1.1-1
- upstream 4.1.1

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed May 12 2010 Christof Damian <christof@damian.net> - 4.0.6-1
- upstream 4.0.6 (bugfixes)

* Tue Dec 1 2009 Christof Damian <christof@damian.net> 4.0.5-1
- initial rpm
